# GET Leagues by Country ID

### `GET` League by Country ID

```
https://soccer.sportmonks.com/api/v2.0/countries/{ID}/leagues
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 2       |

#### Parameters

| Available parameters |                                                                                                                   |
| -------------------- | ----------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url. |

#### Include options

`country` `season` `seasons`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MJXOeyBzTS35Z7kTf1c" %}
[Includes](/v2/tutorials/enriching-your-response/includes.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/countries/462/leagues?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
    "data": [
        {
            "id": 8,
            "active": true,
            "type": "domestic",
            "legacy_id": 29,
            "country_id": 462,
            "logo_path": "https://cdn.sportmonks.com/images/soccer/leagues/8/8.png",
            "name": "Premier League",
            "is_cup": false,
            "is_friendly": false,
            "current_season_id": 18378,
            "current_round_id": null,
            "current_stage_id": 77453700,
            "live_standings": true,
            "coverage": {
                "predictions": true,
                "topscorer_goals": true,
                "topscorer_assists": true,
                "topscorer_cards": true
            }
        },
        {
            "id": 9,
            "active": true,
            "type": "domestic",
            "legacy_id": 30,
            "country_id": 462,
            "logo_path": "https://cdn.sportmonks.com/images/soccer/leagues/9/9.png",
            "name": "Championship",
            "is_cup": false,
            "is_friendly": false,
            "current_season_id": 18432,
            "current_round_id": null,
            "current_stage_id": null,
            "live_standings": true,
            "coverage": {
                "predictions": true,
                "topscorer_goals": true,
                "topscorer_assists": true,
                "topscorer_cards": true
            }
        },
        {
            "id": 12,
            "active": true,
            "type": "domestic",
            "legacy_id": 34,
            "country_id": 462,
            "logo_path": "https://cdn.sportmonks.com/images/soccer/leagues/12/12.png",
            "name": "League One",
            "is_cup": false,
            "is_friendly": false,
            "current_season_id": 18433,
            "current_round_id": null,
            "current_stage_id": null,
            "live_standings": true,
            "coverage": {
                "predictions": true,
                "topscorer_goals": true,
                "topscorer_assists": true,
                "topscorer_cards": true
            }
        },
        {
            "id": 14,
            "active": true,
            "type": "domestic",
            "legacy_id": 32,
            "country_id": 462,
            "logo_path": "https://cdn.sportmonks.com/images/soccer/leagues/14/14.png",
            "name": "League Two",
            "is_cup": false,
            "is_friendly": false,
            "current_season_id": 18434,
            "current_round_id": null,
            "current_stage_id": null,
            "live_standings": true,
            "coverage": {
                "predictions": true,
                "topscorer_goals": true,
                "topscorer_assists": true,
                "topscorer_cards": true
            }
        },
```

{% endtab %}

{% tab title="Field Description" %}

| Field                | Description                                                                                                                                                                  |
| -------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `data`               | Opens an array of data you've requested                                                                                                                                      |
| `id`                 | A unique league id                                                                                                                                                           |
| `active`             | Indicates if the league is active or not. Possible values are 'true' or 'false'                                                                                              |
| `type`               | Indicates what kind of league this is. Possible values: 'domestic', 'cup', 'international'. More values can be found [here](/v2/api-references/statussus-and-definitions.md) |
| `legacy_id`          | This was for our API version 1.0. It's only of use for old users of our API                                                                                                  |
| `country_id`         | The unique country id the league is played in                                                                                                                                |
| `logo_path`          | The logo URL path of the league                                                                                                                                              |
| `name`               | The name of the league                                                                                                                                                       |
| `is_cup`             | Indicates if the league is a cup or not. Possible values are 'true' or 'false'                                                                                               |
| `current_season_id`  | The unique id of the current season                                                                                                                                          |
| `current_round_id`   | The unique id of the current round                                                                                                                                           |
| `current_stage_id`   | The unique id of the current stage                                                                                                                                           |
| `live_standings`     | Indicates if the league covers live standings                                                                                                                                |
| `coverage`           | Opens an array of partial coverage for the league                                                                                                                            |
| `predictions`        | Indicates if the league covers predictions                                                                                                                                   |
| `topscorers_goals`   | Indicates if the league covers goal topscorers                                                                                                                               |
| `topscorers_assists` | Indicates if the league covers assists topscorers                                                                                                                            |
| `topscorers_cards`   | Indicates if the league covers cards topscorers                                                                                                                              |
| {% endtab %}         |                                                                                                                                                                              |
| {% endtabs %}        |                                                                                                                                                                              |

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#e067c7aa-2c30-422e-9901-07d0d6eb79c2)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/leagues/get-leagues-by-country-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
